.drawer {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;

  z-index: var(--z-index-drawer);

  opacity: 1;
  transition: all 0.3s;

  animation-duration: 0.3s;
  animation-name: drawer_start;
}

.drawer_close {
  opacity: 0;
}

@keyframes drawer_start {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.drawer__content {
  position: absolute;

  background-color: white;
  z-index: var(--z-index-drawer);

  transition: all 0.3s;
  transform: translate(0, 0);

  --br: var(--spacing);
}
.drawer__content_left {
  top: 0;
  left: 0;
  bottom: 0;

  border-radius: 0 var(--br) var(--br) 0;
}
.drawer__content_right {
  top: 0;
  right: 0;
  bottom: 0;
  border-radius: var(--br) 0 0 var(--br);
}
.drawer__content_top {
  top: 0;
  left: 0;
  right: 0;
  border-radius: 0 0 var(--br) var(--br);
}
.drawer__content_bottom {
  left: 0;
  right: 0;
  bottom: 0;
  border-radius: var(--br) var(--br) 0 0;
}

@keyframes drawer__content_start_left {
  from {
    transform: translate(-100%, 0);
  }
  to {
    transform: translate(0, 0);
  }
}

@keyframes drawer__content_start_right {
  from {
    transform: translate(-100%, 0);
  }
  to {
    transform: translate(0, 0);
  }
}
